## org.apache.commons.collections.list
Class AbstractSerializableListDecorator

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.list.AbstractListDecorator
              org.apache.commons.collections.list.AbstractSerializableListDecorator

All Implemented Interfaces:
  Collection, List, Serializable

Direct Known Subclasses:
  FixedSizeList, LazyList, SetUniqueList, UnmodifiableList

public abstract class AbstractSerializableListDecorator
extends AbstractListDecorator
implements Serializable

Serializable subclass of AbstractListDecorator.

Since:
  Commons Collections 3.1
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `AbstractSerializableListDecorator(List list)` Constructor.

Methods inherited from class org.apache.commons.collections.list.AbstractListDecorator
`add, addAll, get, getList, indexOf, lastIndexOf, listIterator, listIterator, remove, set, subList`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`add, addAll, clear, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### AbstractSerializableListDecorator

    protected AbstractSerializableListDecorator(List list)

  Constructor.

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.